## org.apache.mahout.clustering.classify
Class WeightedPropertyVectorWritable

    java.lang.Object
      org.apache.mahout.clustering.classify.WeightedVectorWritable
          org.apache.mahout.clustering.classify.WeightedPropertyVectorWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class WeightedPropertyVectorWritable

extends WeightedVectorWritable

Constructor Summary
`WeightedPropertyVectorWritable()`
`WeightedPropertyVectorWritable(double weight, Vector vector, Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)`
`WeightedPropertyVectorWritable(Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)`

Method Summary
`Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>` `getProperties()`
`void` `readFields(DataInput in)`
`void` `setProperties(Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class org.apache.mahout.clustering.classify.WeightedVectorWritable
`getVector, getWeight, setVector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeightedPropertyVectorWritable

    public WeightedPropertyVectorWritable()

### WeightedPropertyVectorWritable

    public WeightedPropertyVectorWritable(Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)

### WeightedPropertyVectorWritable

    public WeightedPropertyVectorWritable(double weight,
                                          Vector vector,
                                          Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)

Method Detail

### getProperties

    public Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> getProperties()

### setProperties

    public void setProperties(Map<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text> properties)

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Overrides:
    `readFields` in class `WeightedVectorWritable`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Overrides:
    `write` in class `WeightedVectorWritable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `WeightedVectorWritable`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.